| GET | /RestApi/search/scoring-settings |
|---|
"use strict";
export class SearchScoringRequest {
/** @param {{SearchIndexPipeId?:string}} [init] */
constructor(init) { Object.assign(this, init) }
/** @type {string} */
SearchIndexPipeId;
}
export class SearchScoringResponse {
/** @param {{ScoringSettingsNames?:string[]}} [init] */
constructor(init) { Object.assign(this, init) }
/** @type {string[]} */
ScoringSettingsNames;
}
JavaScript SearchScoringRequest DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .xml suffix or ?format=xml
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/search/scoring-settings HTTP/1.1 Host: www.asg.com.au Accept: application/xml
HTTP/1.1 200 OK
Content-Type: application/xml
Content-Length: length
<SearchScoringResponse xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.Search.Impl.Services.DTO">
<ScoringSettingsNames xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:string>String</d2p1:string>
</ScoringSettingsNames>
</SearchScoringResponse>